Required-item-level